## org.eclipse.jetty.deploy
Class ContextDeployer.ScannerListener

    java.lang.Object
      org.eclipse.jetty.deploy.ContextDeployer.ScannerListener

All Implemented Interfaces:
  Scanner.DiscreteListener, Scanner.Listener

Enclosing class:
  ContextDeployer

    protected class ContextDeployer.ScannerListener

extends java.lang.Object
implements Scanner.DiscreteListener

Constructor Summary
`protected` `ContextDeployer.ScannerListener()`

Method Summary
`void` `fileAdded(java.lang.String filename)` Handle a new deployment
`void` `fileChanged(java.lang.String filename)` Handle a change to an existing deployment.
`void` `fileRemoved(java.lang.String filename)` Handle an undeploy.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextDeployer.ScannerListener

    protected ContextDeployer.ScannerListener()

Method Detail

### fileAdded

    public void fileAdded(java.lang.String filename)
                   throws java.lang.Exception

  Handle a new deployment

  Specified by:
    `fileAdded` in interface `Scanner.DiscreteListener`
  Throws:
    `java.lang.Exception`
  See Also:
    `Scanner.DiscreteListener.fileAdded(java.lang.String)`

### fileChanged

    public void fileChanged(java.lang.String filename)
                     throws java.lang.Exception

  Handle a change to an existing deployment. Undeploy then redeploy.

  Specified by:
    `fileChanged` in interface `Scanner.DiscreteListener`
  Throws:
    `java.lang.Exception`
  See Also:
    `Scanner.DiscreteListener.fileChanged(java.lang.String)`

### fileRemoved

    public void fileRemoved(java.lang.String filename)
                     throws java.lang.Exception

  Handle an undeploy.

  Specified by:
    `fileRemoved` in interface `Scanner.DiscreteListener`
  Throws:
    `java.lang.Exception`
  See Also:
    `Scanner.DiscreteListener.fileRemoved(java.lang.String)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.